Subject: [PATCH v2 0/3] advertise --skip for cherry-pick and revert better

From: Denton Liu <[email-masked]>
Date: Tue, 27 Aug 2019 00:45:33 -0400

Hi Junio, thanks for the suggestion. I incorporated your suggestion.
Also, I decided to incorporate another patch (3/3) I was planning on
submitting later since both these patchsets have a common purpose:
advertising the `--skip` option better.

Before, the completion script would not complete `--skip` for
cherry-pick and revert, even though it is a valid option while that
operation is in progress. Add that missing completion.

Also, if a cherry-pick or revert is still in progress, mention the
`--skip` flag in the status message so that users are more aware of
their options.

Changes since v1:

* Instead of outright replacing the old completion variables, make them derive
  from a common variable.
* Add patch 3/3 and change the focus of this patchset so that it's focused on
  advertising the `--skip` option better.

Denton Liu (3):
  completion: merge options for cherry-pick and revert
  completion: add --skip for cherry-pick and revert
  status: mention --skip for revert and cherry-pick

 contrib/completion/git-completion.bash | 6 ++++--
 t/t7512-status-help.sh                 | 6 ++++++
 wt-status.c                            | 4 ++++
 3 files changed, 14 insertions(+), 2 deletions(-)

Range-diff against v1:
1:  cdcac97554 < -:  ---------- completion: merge options for cherry-pick and revert
2:  75adf58158 < -:  ---------- completion: add --skip for cherry-pick and revert
-:  ---------- > 1:  862802366a completion: merge options for cherry-pick and revert
-:  ---------- > 2:  c83feb3d6e completion: add --skip for cherry-pick and revert
-:  ---------- > 3:  be64ce1e92 status: mention --skip for revert and cherry-pick
-- 
2.23.0.248.g3a9dd8fb08